/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*-
 *
 * nautilus-burn-drive.h: easy to use cd burner software
 *
 * Copyright (C) 2002-2004 Red Hat, Inc.
 * Copyright (C) 2005 William Jon McCann <mccann@jhu.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Alexander Larsson <alexl@redhat.com>
 *          Bastien Nocera <hadess@hadess.net>
 *          William Jon McCann <mccann@jhu.edu>
 */

#ifndef NAUTILUS_BURN_DRIVE_HAL_H
#define NAUTILUS_BURN_DRIVE_HAL_H

#include "nautilus-burn-drive.h"

G_BEGIN_DECLS

void    nautilus_burn_drive_hal_init        (NautilusBurnDrive *drive);
void    nautilus_burn_drive_hal_shutdown    (NautilusBurnDrive *drive);
void    nautilus_burn_drive_hal_set_monitor (NautilusBurnDrive *drive,
                                             gboolean          enabled);

GList * nautilus_burn_drive_hal_scan        (void);

NautilusBurnMediaType nautilus_burn_drive_hal_get_media_type_full (NautilusBurnDrive *drive);

G_END_DECLS

#endif
