/* OGMRip - A DVD Encoder for GNOME
 * Copyright (C) 2004-2007 Olivier Rolland <billl@users.sf.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __OGMRIP_OPTIONS_H__
#define __OGMRIP_OPTIONS_H__

#include <gtk/gtk.h>
#include <ogmdvd.h>

G_BEGIN_DECLS

enum
{
  OGMRIP_OPTIONS_ERROR = -1,
  OGMRIP_OPTIONS_NONE,
  OGMRIP_OPTIONS_AUTOMATIC,
  OGMRIP_OPTIONS_MANUAL
};

enum
{
  OGMRIP_OPTIONS_EXTRACT = 1,
  OGMRIP_OPTIONS_CCHECK
};

#define OGMRIP_TYPE_OPTIONS_DIALOG            (ogmrip_options_dialog_get_type ())
#define OGMRIP_OPTIONS_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_OPTIONS_DIALOG, OGMRipOptionsDialog))
#define OGMRIP_OPTIONS_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_OPTIONS_DIALOG, OGMRipOptionsDialogClass))
#define OGMRIP_IS_OPTIONS_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, OGMRIP_TYPE_OPTIONS_DIALOG))
#define OGMRIP_IS_OPTIONS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_OPTIONS_DIALOG))

typedef struct _OGMRipOptionsDialog      OGMRipOptionsDialog;
typedef struct _OGMRipOptionsDialogClass OGMRipOptionsDialogClass;
typedef struct _OGMRipOptionsDialogPriv  OGMRipOptionsDialogPriv;

struct _OGMRipOptionsDialog
{
  GtkDialog parent_instance;

  OGMRipOptionsDialogPriv *priv;
};

struct _OGMRipOptionsDialogClass
{
  GtkDialogClass parent_class;
};

GType         ogmrip_options_dialog_get_type           (void);
GtkWidget *   ogmrip_options_dialog_new                (void);
GtkWidget *   ogmrip_options_dialog_new_with_title     (OGMDvdTitle         *title);

OGMDvdTitle * ogmrip_options_dialog_get_title          (OGMRipOptionsDialog *dialog);
void          ogmrip_options_dialog_set_title          (OGMRipOptionsDialog *dialog,
                                                        OGMDvdTitle         *title);

gint          ogmrip_options_dialog_get_bitrate        (OGMRipOptionsDialog *dialog, 
                                                        guint               *bitrate);
gint          ogmrip_options_dialog_get_scale          (OGMRipOptionsDialog *dialog, 
                                                        guint               *width, 
                                                        guint               *height);
gint          ogmrip_options_dialog_get_crop           (OGMRipOptionsDialog *dialog, 
                                                        guint               *x, 
                                                        guint               *y, 
                                                        guint               *width, 
                                                        guint               *height);
gint          ogmrip_options_dialog_get_framestep      (OGMRipOptionsDialog *dialog);
gint          ogmrip_options_dialog_get_deinterlacer   (OGMRipOptionsDialog *dialog);
gboolean      ogmrip_options_dialog_get_progressive    (OGMRipOptionsDialog *dialog);
gboolean      ogmrip_options_dialog_get_pullup         (OGMRipOptionsDialog *dialog);
gdouble       ogmrip_options_dialog_get_bits_per_pixel (OGMRipOptionsDialog *dialog);
gboolean      ogmrip_options_dialog_get_cartoon        (OGMRipOptionsDialog *dialog);

G_END_DECLS

#endif /* __OGMRIP_OPTIONS_H__ */

